# Uses of Class
org.eclipse.net4j.util.security.DiffieHellman.Client.Response

Packages that use DiffieHellman.Client.Response
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.

## Uses of DiffieHellman.Client.Response in org.eclipse.net4j.util.security

Methods in org.eclipse.net4j.util.security that return DiffieHellman.Client.Response
Modifier and Type
Method
Description
`DiffieHellman.Client.Response`
DiffieHellman.Client.`handleChallenge(DiffieHellman.Server.Challenge challenge, byte[] clearText)`
Methods in org.eclipse.net4j.util.security with parameters of type DiffieHellman.Client.Response
Modifier and Type
Method
Description
`byte[]`
DiffieHellman.Server.`handleResponse(DiffieHellman.Client.Response response)`